<?php // no direct access
defined('_JEXEC') or die('Restricted access');
/*
*Extended Cart Ajax Module for VirtueMart
*
* @author      degoist Media Solutions
* @copyright   (C) 2022 degoist Media Solutions. All rights reserved.
* @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/
// Ajax is displayed in vm_cart_ext_products ?>

<!-- Virtuemart 3 Ajax Cart Extended -->
<style>

.open_cart_button {
  display: table-cell;
  color: <?php echo $cart_iconlabel_color ?>;
  height: 40px;
  vertical-align: bottom;
  padding: 0px 0px 0px 5px;
  text-align: center;
  text-decoration: none;
  box-sizing: border-box;
<?php if($show_cart_button) { ?>
  background-color: <?php echo $cart_button_color ?>;
  border-radius: <?php echo $round_border ?>px;
<?php }?>
}

.open_cart_button:hover {
	color: <?php echo $cart_iconlabel_color ?>;
	background: none;
<?php if($show_cart_button) { ?>
	background-color: <?php echo $cart_button_hover_color ?>;
<?php }?>
}

.vmCartExtModule {
	background-color: <?php echo $background_color ?>; 
	color: <?php echo $text_color ?>;
	border-radius: <?php echo $round_border ?>px;
}

.vmCartExtModule .product_row {
	background-color: <?php echo $prod_bg_color ?>;
	color: <?php echo $prod_text_color ?>;
	border-color: <?php echo $background_color ?>;
	border-radius: <?php echo $round_border ?>px;
}

.vmCartExtModule .product_row a:link,
.vmCartExtModule .product_row a:visited,{
	color: <?php echo $prod_link_color ?>;
}

.vmCartExtModule .product_row  a:hover,
.vmCartExtModule .product_row  a:active {
	color: <?php echo $prod_link_hover_color ?>;
}

.show_cart a:link, 
.show_cart a:visited {
  background: <?php echo $cartlink_button_color ?>;
  color: white;
  padding: 14px 25px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: <?php echo $round_border ?>px;
}

.show_cart a:hover, 
.show_cart a:active {
  background-color: <?php echo $cartlink_button_hover_color ?>;
}

.total {
	float: right;
}

</style>

<div class="vmCartExtWrapper">
<div class="vmCartExt">
	<a class="open_cart_button">
		<?php if($show_cart_as==0 || $show_cart_as==2) { ?><span class="cart_label"><?php echo $cart_label_text ?></span><?php }?>
		<?php if($show_cart_as==0 || $show_cart_as==1) { ?><i class="fa fa-shopping-cart fa-2x"></i><?php } ?>
		<?php if ($show_product_total) {?><span class="disp_total_prod"><?php echo  $data->totalProduct ?></span> <?php }?>
	</a>
</div>
<div class="vmCartExtModule <?php echo $params->get('moduleclass_sfx'); ?>" id="vmCartExtModule<?php echo $params->get('moduleid_sfx'); ?>" >

<?php
if ($show_product_list) {
	?>
	<div class="hiddencontainer" style=" display: none; ">
		<div class="vmcontainer">
			<div class="product_row" >
				<?php if ($show_product_images) {?>
					<div class="image"></div>
				<?php } ?>
				<div class="product_details">
					<span class="quantity"></span>&nbsp;x&nbsp;<span class="product_name"></span>
					<?php if ($show_price and $currencyDisplay->_priceConfig['salesPrice'][0]) { ?>
						<div class="subtotal_with_tax" ></div>
					<?php } ?>
					<div class="customProductData"></div>
				</div>
				<?php if ($show_product_remove) {?>
					<div class="remove"><a class="vm2-remove_from_cart" onclick="remove_product_cart(this);"><span class="product_cart_id" style="display:none;"></span><i class="fa fa-trash fa-2x"></i></a></div>
				<?php } ?>
			</div>
		</div>
	</div>
	<div class="vm_cart_ext_products" >
		<div class="vmcontainer">
		<?php
			foreach ($data->products as $key => $product){
				?><div class="product_row" id="cart_prod_row<?php echo $key ?>">
					<?php if ($show_product_images) {?>
						<div class="image"><?php echo $product['image'] ?></div>
					<?php } ?>
					<div class="product_details">
						<span class="quantity"><?php echo $product['quantity'] ?></span>&nbsp;x&nbsp;<span class="product_name"><?php echo  $product['product_name'] ?></span>
						<?php if ($show_price and $currencyDisplay->_priceConfig['salesPrice'][0]) { ?>
						  <div class="subtotal_with_tax"><?php echo $product['subtotal_with_tax'] ?></div>
						<?php } ?>
						<?php if ( !empty($product['customProductData']) ) { ?>
						<div class="customProductData"><?php echo $product['customProductData'] ?></div>
						<?php } ?>
					</div>
					<!--<div class="prod_add_sub">
						<a class="prod_add" onclick="add_product_cart(this);"><span class="product_cart_id" style="display:none;"><?php echo $key; ?></span><i class="fa fa-squareplus fa-sm"></i></a><br />
						<a class="prod_sub" onclick="sub_product_cart(this);"><span class="product_cart_id" style="display:none;"><?php echo $key; ?></span><i class="fa fa-squareminus fa-sm"></i></a>
					</div>-->
					<?php if ($show_product_remove) {?>
						<div class="remove"><a class="vm2-remove_from_cart" onclick="remove_product_cart(this);"><span class="product_cart_id" style="display:none;"><?php echo $key; ?></span><i class="fa fa-trash fa-2x"></i></a></div>
					<?php } ?>
			</div>
		<?php }
		?>
		</div>
	</div>
<?php } ?>

	<div class="total">
		<?php if ($data->totalProduct and $show_price and $currencyDisplay->_priceConfig['salesPrice'][0]) { ?>
		<?php echo $data->billTotal; ?>
		<?php } ?>
	</div>

<div class="total_products"><?php echo  $data->totalProductTxt ?></div>
<div class="show_cart">
	<?php if ($data->totalProduct) echo  $data->cart_show; ?>
	<?php //For newer version of VM --- if ($data->totalProduct) echo  '<a style ="float:right;" href="'.$data->cart_show_link.'" rel="nofollow" >'.$data->linkName.'</a>'; ?>
</div>
<div style="clear:both;"></div>
<?php
$view = vRequest::getCmd('view');
if($view!='cart' and $view!='user'){
	?><div class="payments-signin-button" ></div><?php
}
?>
<noscript>
<?php echo vmText::_('MOD_VM_CART_EXT_AJAX_CART_PLZ_JAVASCRIPT') ?>
</noscript>
</div>

</div>

<script type="text/javascript">
jQuery(document).ready(function(){
	var clicked_button = false;
	
	jQuery(".open_cart_button").mouseup(function(e){
		if(clicked_button==false) {
			clicked_button = true;
			jQuery(".vmCartExtModule").css("display","block");
		}
		else if(clicked_button==true) {
			clicked_button = false;
			jQuery(".vmCartExtModule").css("display","none");
		}
	});
	
	jQuery(".open_cart_button").mouseenter(function(e){
		jQuery(".vmCartExtModule").css("display","block");
	});
	
	jQuery(".vmCartExtModule").mouseleave(function(e){
		if(!clicked_button) {
			jQuery(".vmCartExtModule").css("display","none");
		}
	});
	
	jQuery(document).mouseup(function(e){
		var container = jQuery(".vmCartExtModule");
		var sender = jQuery(".open_cart_button");
			// If the target of the click isn't the container
		if(!container.is(e.target) && !sender.is(e.target) && container.has(e.target).length === 0 && sender.has(e.target).length === 0){
			container.css("display","none");
			clicked_button = false;
		}
	});

});
</script>